<div class="flex tw-flex-col flex-swarp bg-gray-100 gap-4">
    <div class="flex tw-flex-row tw-w-full justify-content-center pt-4">
        <p-button class="p-button-raised p-button-primary" [style]="{'border-radius': '24px'}" (onClick)="getImportData()"><span class="py-4 px-8 tw-text-2xl">Import from HIS</span></p-button>
    </div>
    <div class="flex tw-flex-row">
        <div class="p-table tw-w-full md:tw-w-1/2">
            <div class="p-table-wrapper">
                <table class="p-table tw-w-full">
                    <thead>
                        <tr>
                            <th></th>
                            <th>รายการ</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>1</td>
                            <td>Department (แผนก/สาขา)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                        <tr>
                            <td>2</td>
                            <td>Ward (หอผู้ป่วย)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                        <tr>
                            <td>3</td>
                            <td>Insurance (รายการสิทธิ์)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                        <tr>
                            <td>4</td>
                            <td>Items (รายการสั่ง order)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                        <tr>
                            <td>5</td>
                            <td>Medicine (รายการยา)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                        <tr>
                            <td>6</td>
                            <td>Medicine Usage (การใช้ยา)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                        <tr>
                            <td>7</td>
                            <td>Specialty (สาขาเฉพาะ)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                        <tr>
                            <td>8</td>
                            <td>Food (รายการอาหาร)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                        <tr>
                            <td>9</td>
                            <td>Refer Cause (สาเหตุการส่งต่อ)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                        <tr>
                            <td>10</td>
                            <td>Refer By (ส่งต่อโดย)</td>
                            <td><p-button class="p-button-raised p-button-primary">Import</p-button></td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    
        <div class="p-table tw-w-full md:tw-w-1/2">
            <div class="p-table-wrapper">
                <table class="p-table tw-w-full">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Code</th>
                            <th>Name</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let item of importData;index as i">
                            <td>{{i}}</td>
                            <td>{{item.code}}</td>
                            <td>{{item.name}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>
